package com.realnet.basicp1.Controllers;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
 import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import com.fasterxml.jackson.core.JsonProcessingException;
import org.springframework.web.bind.annotation.CrossOrigin;
import com.fasterxml.jackson.databind.JsonMappingException;
import com.realnet.config.EmailService;
import com.realnet.users.entity1.AppUser;
import com.realnet.users.service1.AppUserServiceImpl;
import com.fasterxml.jackson.databind.ObjectMapper;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.http.ResponseEntity;
import org.springframework.data.domain.Pageable;
import org.springframework.beans.factory.annotation.*;
import com.realnet.basicp1.Entity.Test425sg4;
import com.realnet.basicp1.Services.Test425sg4Service ;






@RequestMapping(value = "/Test425sg4")
 @CrossOrigin("*") 
@RestController
public class Test425sg4Controller {
	@Autowired
	private Test425sg4Service Service;

@Value("${projectPath}")
	private String projectPath;
 






	@PostMapping("/Test425sg4")
		  public Test425sg4 Savedata(@RequestBody Test425sg4 data) {
		Test425sg4 save = Service.Savedata(data)	;





		System.out.println("data saved..." + save);

 return save;
	  }
@PutMapping("/Test425sg4/{id}")
	public  Test425sg4 update(@RequestBody Test425sg4 data,@PathVariable Integer id ) {
		Test425sg4 update = Service.update(data,id);
		System.out.println("data update..." + update);
		return update;
	}	 
//	get all with pagination
	@GetMapping("/Test425sg4/getall/page")
	public Page<Test425sg4> getall(@RequestParam(value = "page", required = false) Integer page,
			@RequestParam(value = "size", required = false) Integer size) {
		Pageable paging = PageRequest.of(page, size);
		Page<Test425sg4> get = Service.getAllWithPagination(paging);

		return get;

	}	
	@GetMapping("/Test425sg4")
	public List<Test425sg4> getdetails() {
		 List<Test425sg4> get = Service.getdetails();		
		return get;
}
// get all without authentication 

	@GetMapping("/token/Test425sg4")
	public List<Test425sg4> getallwioutsec() {
		 List<Test425sg4> get = Service.getdetails();		
		return get;
}
@GetMapping("/Test425sg4/{id}")
	public  Test425sg4  getdetailsbyId(@PathVariable Integer id ) {
		Test425sg4  get = Service.getdetailsbyId(id);
		return get;
	}
@DeleteMapping("/Test425sg4/{id}")
	public  void delete_by_id(@PathVariable Integer id ) {
	Service.delete_by_id(id);
		
	}







}